# TemplateSetExporter 2008 M-Logic, Inc.
# This program is distributed under the terms of the
# GNU General Public License, version 2.
#
# $Id: mt-template_set_exporter.pl 1409 2008-12-25 06:38:37Z sekine $

package MT::Plugin::TemplateSetExporter;

use strict;
use MT::Plugin;
@MT::Plugin::TemplateSetExporter::ISA = qw(MT::Plugin);

use vars qw($PLUGIN_NAME $VERSION);
$PLUGIN_NAME = 'TemplateSetExporter';
$VERSION = '0.72';

use MT;
my $plugin = new MT::Plugin::TemplateSetExporter({
    id => 'TemplateSetExporter',
    name => $PLUGIN_NAME,
    version => $VERSION,
    description => "<MT_TRANS phrase='Template Set Exporter'>",
    doc_link => 'http://m-logic.co.jp/mt-plugins/mt-template_set_exporter/docs/mt-template_set_exporter.html',
    author_name => 'M-Logic, Inc.',
    author_link => 'http://m-logic.co.jp/',
    l10n_class => 'TemplateSetExporter::L10N',
});

MT->add_plugin($plugin);

sub init_registry {
    my $plugin = shift;
    $plugin->registry({
        applications => {
            cms => {
                methods => {
                    template_set_exporter_start => '$TemplateSetExporter::TemplateSetExporter::CMS::start',
                    template_set_exporter_complete => '$TemplateSetExporter::TemplateSetExporter::CMS::complete',
                },
                page_actions => {
                    list_templates => {
                        'template_set_exporter' => {
                            label => 'Export a template set',
                            dialog  => 'template_set_exporter_start',
                            permission => 'edit_templates',
                            condition => sub { MT->instance->blog },
                        }
                    },
                },
            },
        },
    });
}


sub instance { $plugin; }

1;
